import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Thing here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Thing extends Actor
{
    GreenfootImage image;
    public Thing()
    {
            UserInfo me = UserInfo.getMyInfo();
            if (me != null)
            {
                setImage(me.getUserImage());
            }
            else
            {
                setImage(new GreenfootImage("rock.png"));
            }
            image = getImage();
    }
    /**
     * Act - do whatever the Thing wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(Greenfoot.mouseClicked(this))
        {
            explode();
            getWorld().removeObject(this);
        }
    }    
    public void explode()
    {
        for(int i= 0;i<10;i++)
        {
            for(int j= 0;j<10;j++)
            {
                Color[][] colors = new Color[5][5];
                for(int x=0;x<5;x++)
                {
                    for(int y=0;y<5;y++)
                        colors[x][y] = image.getColorAt((i*5)+x,(j*5)+y);
                }
                getWorld().addObject(new Bit(colors,Greenfoot.getRandomNumber(10)-5,Greenfoot.getRandomNumber(10)-5),getX()+(i*5)-25,getY()+(i*5)-25);
            }
        }
    }
}
